Subject: Re: bug#71883: [PATCH] Fix tab-bar-auto-width with customized tab-bar-tab-face-function

From: Juri Linkov <[email-masked]>
Date: Thu, 25 Jul 2024 21:18:57 +0300

>> Replacing hard-coded logic with customizable variable
>> for external packages like activities.el is needed
>> as soon as possible on emacs-30 because hard-coded logic
>> hinders the use of packages.
>>
>> However, there is no hurry to change the default behavior
>> to match a symbol name instead of checking face names.
>> Therefore I think better to move the existing code
>>
>>   (memq (get-text-property 0 'face (nth 2 item)) tab-bar-auto-width-faces)
>>
>> to the new predicate function on emacs-30.  Then activities.el
>> can change it to another function that matches a symbol.
>>
>> Then on master the default body on the new predicate
>> could be replaced from checking the face to match a symbol.
>> Also changes in tab-bar--format-tab-group should be on master as well.
>
> Much as I'd like to use these changes asap, I think this patchset should
> go entirely on master.  I see these changes as adding functionality
> (making tab-bar tabs more extensible) rather than bug fixes.

Are you sure there is no hurry to make tab-bar more extensible
for activities.el?  Then let's push to master for Emacs 31.